Summary: IMA/EVM support utilities
Name: ima-evm-utils
Version: 0.9
Release: 6%{?dist}
License: GPLv2
Url:  http://linux-ima.sourceforge.net/
Source: http://sourceforge.net/projects/linux-ima/files/ima-evm-utils/%{name}-%{version}.tar.gz
Group: Applications/Internet
BuildRequires: autoconf automake libtool m4 asciidoc libxslt
BuildRequires: openssl-devel libattr-devel keyutils-libs-devel
Patch1: manpage.patch

%description
The Trusted Computing Group(TCG) run-time Integrity Measurement Architecture
(IMA) maintains a list of hash values of executables and other sensitive
system files, as they are read or executed. These are stored in the file
systems extended attributes. The Extended Verification Module (EVM) prevents
unauthorized changes to these extended attributes on the file system.
ima-evm-utils is used to prepare the file system for these extended attributes.

%prep
%setup -q
%patch1 -p1

%build
#Is running autoreconf a good idea
mkdir -p m4
autoreconf -f -i
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%files
%doc ChangeLog README AUTHORS COPYING
%{_bindir}/*
%{_docdir}/%{name}/*.sh
%{_libdir}/libimaevm.*
%{_includedir}/*
%{_mandir}/man1/*

%changelog
* Thu May 11 2017 Laura Abbott <labbott@redhat.com> - 0.9-6
- Use explicit version of _pkgdocdir for non-versioning

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Lubomir Rintel <lkundrak@v3.sk> - 0.9-3
- Fix FTBFS

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Oct 31 2014 Avesh Agarwal <avagarwa@redhat.com> - 0.9-1
- New upstream release
- Applied a patch to fix man page issues.
- Updated spec file

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 27 2013 Vivek Goyal <vgoyal@redhat.com> - 0.6-1
- Initial package
